Subject: RE: why Virtual IP addresses and not Virtual IP subnets

From: Vivek Menezes <[email-masked]>
Date: Thu, 28 Jun 2001 09:39:11 -0700

There is no requirement for subnet because the Master only represents the IP
address
to Mac address mapping. It is supposed to route all packets destined to the
mac address.
Vivek.

> -----Original Message-----
> From: Yaron Presente [mailto:[email-masked]]
> Sent: Thursday, June 28, 2001 4:44 AM
> To: [email-masked]
> Subject: why Virtual IP addresses and not Virtual IP subnets
> 
> 
> Hi all,
> As far as I could understand from the RFC, when a backup VRRP router
> serves as a Master for a virtual router, it actually has to 
> implement a
> 'virtual' IP
> interface/s for the address/es associated with this virtual router, so
> that it can route
> packets sent by hosts from within this subnet to their default gateway
> address. However,
> I couldn't figure out how this router could tell what is the 
> subnet mask
> (/24, /28,
> etc.) that the address/es which it backs up belong to.
> In other words, I think that the term IP interface in a router should
> refer to an IP & mask
> couple and not just to an IP address.
> Any clarifications would be appreciated,
> Thanks,
> Yaron
> ==============================================
> Yaron Presente
> Optical Access (http://www.opticalaccess.com/)
> E-mail:  [email-masked]
> Phone:   +972-4-9936237
> Fax:     +972-4-9890564
> ==============================================
> www.net2linux.com:
> Helping You Master Tomorrow's Open Source Networking Technology Today.
> 
>